/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a252b2cb72531cb00ecd4d4db37a5a473",
"IOStream_8cc.html",
"LogControl_8h.html",
"MetaLinkParser_8cc.html#a5456263c51ed3d8b8d276e9fd76a615dafae90bc3907a3ab28a1c3556bca918e4",
"PluginScript_8cc.html#ac6b71fa3db898b81a615e32f3234fe8d",
"RepoException_8cc.html#a8d70a38284c0829b2204c8ced51ad981",
"RpmDb_8cc.html#a431f186e64a875e2323dc68a9d27438b",
"SrcPackageProvider_8cc.html",
"TargetImpl_8cc.html#a97f6495f9b6a0e6594adfd13002152d1",
"YamlTestcaseHelpers_8h.html#a04753039981697dedeee64929ad03e5c",
"classzypp_1_1ByteCount.html#a4f94baecaf5c9078a7c58092f7c60fae",
"classzypp_1_1CheckSum.html#a7b36628fa0cb43b0b3301b14daa9cc5e",
"classzypp_1_1Digest.html#a39e0545cb8de8a71794a9b3470c6353d",
"classzypp_1_1HistoryLog.html",
"classzypp_1_1InputStream.html#a4354065ec183720fa0f8d48b6439db60",
"classzypp_1_1Match.html#aa36c4653ca5d4a8c53064f5f5ec70d6d",
"classzypp_1_1PluginExecutor.html#af17a4a601b9a2d2d42fc90bc7f30bece",
"classzypp_1_1PoolQuery.html#af3db89958c4123b911f52751adc40019",
"classzypp_1_1PublicKeyData.html#ac0e92e29f851b0b891fe90e50f49cfa2",
"classzypp_1_1Repository.html#a4cd4e7ece7a0638875d8ead059066630",
"classzypp_1_1ResStatus.html#a082f0e5de69ca55983f497489fd02fd3",
"classzypp_1_1ResolverProblem.html#a04aba363d502e290d2b57b7ae0da47ab",
"classzypp_1_1Url.html#a46dfe1e349c7312ee114b94c0ea1377b",
"classzypp_1_1ZConfig_1_1Impl.html#a61d436466e9b904c3f532bf2583bc28a",
"classzypp_1_1base_1_1Flags.html#a2662914277dc3fe88d0344fa6aed9841",
"classzypp_1_1detail_1_1RepositoryIterator.html#aaf28c2e75289253f3ad1106df866e6fb",
"classzypp_1_1filesystem_1_1Pathname.html#af16267032a0c3f19170eaa8ee81495a5",
"classzypp_1_1media_1_1MediaAccess_1_1FileProvider.html#a0b620ba5c86d0123fe7e85b48c199a5a",
"classzypp_1_1media_1_1MediaHandler.html#a380a8ba3241f449352fff09cd7416acc",
"classzypp_1_1media_1_1MediaSystemException.html",
"classzypp_1_1media_1_1multifetchworker.html#a021f65b42df43819a5410a963bf4d8ee",
"classzypp_1_1parser_1_1RepoindexFileReader_1_1Impl.html#a50c6396e63738a593bb8da2d2707fc53",
"classzypp_1_1repo_1_1RepoNoAliasException.html#aaa0a14909876bd7c62400da2c3298a98",
"classzypp_1_1sat_1_1LookupAttr_1_1iterator.html",
"classzypp_1_1sat_1_1SolvAttr.html#a8d9a1c2a239f035276e1bf06bf884bb7",
"classzypp_1_1sat_1_1Transaction.html#a7d309437514ff230646f8dbcd9a2fa06",
"classzypp_1_1solver_1_1detail_1_1SolverQueueItemInstall.html",
"classzypp_1_1target_1_1RpmInstallPackageReceiver.html#abaee1c9f400eaa503629ad5ca8779beb",
"classzypp_1_1target_1_1rpm_1_1RpmDbConvertException.html#a2b0987d65f0e92625c4e2a7ceff28f8a",
"classzypp_1_1ui_1_1Selectable.html#a97bbac754f4ea725873b55745bd63bf7",
"classzypp_1_1xml_1_1ParseDefConsumeCallback.html#a281bec17f67608e79b4eb9eff5dd432c",
"functions_type_v.html",
"group__ZYPP__SMART__PTR.html#gae8144881538256a75d511495543ed5b1",
"namespacezypp_1_1syscontent.html",
"structzypp_1_1Date_1_1ETimeFormatDef.html",
"structzypp_1_1KeyRingReport.html#a43b33be5afd67f56fb57a0049b5424fda78b6bf08dbb97d43098139489cc34a54",
"structzypp_1_1ProvideFileOperation.html#add63d0844a8ed23a46822983a09ccd42",
"structzypp_1_1RepoManager_1_1Impl.html#a91cb088a75bb82a2b10d775b62f33917",
"structzypp_1_1base_1_1LogControl_1_1TmpExcessive.html#a091f28097fee43d9f24d14d6c1efff03",
"structzypp_1_1functor_1_1Chain.html#a34fc27ce3dc2f9715e139084f5d3871b",
"structzypp_1_1media_1_1ml__parsedata.html#a5d3492a59ae0272ad58fd4abc1a01c75",
"structzypp_1_1repo_1_1RepoCreateReport.html#a629f9244e2a5fa33a8f1a87c413147c5a6ba01f8fcf5f067f5b5e89bf997ab2e4",
"structzypp_1_1sat_1_1SolvableType.html#ae3396d87c34b6914ce85966fecee16ac",
"structzypp_1_1target_1_1rpm_1_1RpmRemoveReport.html#a604f5baa7b118932fd4a0b316e8d54e4a7b6e93ed6fe7b8f6d20bddafc6e220e8",
"structzypp_1_1xmlout_1_1Node.html#acad86b5f7f3a5149741897af3a1ad713"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';